Retrieves the db status list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| table_name |
The name of table |
string | |
| from_status_id |
The status id from |
globally unique identifier | |
| to_status_id |
The status id to |
globally unique identifier | |
| sequence |
Sorting field (0 first), to order them |
integer | |
| action_text |
The action text |
string | |
| sys_readonly |
Is readonly? |
boolean | |
| sys_logical_delete |
Is delete? |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "c02a3f1c-bb10-4269-b77b-74cde8d5f00c",
"table_name": "sample string 2",
"from_status_id": "2e93e9a4-4193-4dc7-bffc-36028e49461a",
"to_status_id": "57cf8d47-d812-45d6-9bb4-389f630100ba",
"sequence": 5,
"action_text": "sample string 6",
"sys_readonly": true,
"sys_logical_delete": true,
"modified_dateutc": "2026-09-03T20:50:40.0323374+00:00"
}